ConicCrossSection Class

class NXOpen.GeometricUtilities.ConicCrossSection

Bases: NXOpen.TaggedObject, NXOpen.GeometricUtilities.IComponentBuilder

Represents a conic section data for face blend.

New in version NX4.0.0.

Properties

Property Description
ConicMethod Returns or sets the conic method for the advanced symmetric conic section with face blend
Depth Returns the depth expression for the conic section with face blend
DepthLawControl Returns the Depth Law builder
DepthOption Returns or sets the depth option for the conic section with face blend
FirstConstraintCurveCollector Returns or sets the first constraint curve collector
FirstLawControl Returns the First Offset Law builder
FirstOffset Returns the first offset for the conic section with face blend
FirstOffsetOption Returns or sets the first offset option for the conic section with face blend
OffsetSkewRatio Returns the offset skew ratio expression for the conic section with face blend
Rho Returns the rho expression for the conic section with face blend
RhoLawControl Returns the Rho Law builder
RhoOption Returns or sets the rho option for the conic section with face blend
SecondConstraintCurveCollector Returns or sets the second constraint curve collector
SecondLawControl Returns the Second Offset Law builder
SecondOffset Returns the second offset for the conic section with face blend
SecondOffsetOption Returns or sets the second offset option for the conic section with face blend
ShapeSkew Returns the shape skew expression for the conic section with face blend
ShapeSkewLawControl Returns the Shape Skew Law builder
ShapeSkewOption Returns or sets the shape skew option for the conic section with face blend
Tag Returns the Tag for this object.
TransitionLinkFlag Returns or sets the flag to link multi-transition law types

Methods

Method Description
SetFirstOffset Sets the first offset for the conic section with face blend.
SetLawControlConstantDepth Sets a constant radius for the depth law control of the conic section with face blend.
SetLawControlConstantFirstOffset Sets a constant radius for the first law control of the conic section with face blend.
SetLawControlConstantRho Sets a constant radius for the rho law control of the conic section with face blend.
SetLawControlConstantSecondOffset Sets a constant radius for the second law control of the conic section with face blend.
SetLawControlConstantShapeSkew Sets a constant radius for the shape skew law control of the conic section with face blend.
SetLawControlDepthEndRadius Sets a end radius for the depth law control of the conic section with face blend.
SetLawControlDepthStartRadius Sets a start radius for the depth law control of the conic section with face blend.
SetLawControlFirstOffsetEndRadius Sets a end radius for the first law control of the conic section with face blend.
SetLawControlFirstOffsetStartRadius Sets a start radius for the first law control of the conic section with face blend.
SetLawControlRhoEndRadius Sets a end radius for the rho law control of the conic section with face blend.
SetLawControlRhoStartRadius Sets a start radius for the rho law control of the conic section with face blend.
SetLawControlSecondOffsetEndRadius Sets a end radius for the second law control of the conic section with face blend.
SetLawControlSecondOffsetStartRadius Sets a start radius for the second law control of the conic section with face blend.
SetLawControlShapeSkewEndRadius Sets a end radius for the shape skew law control of the conic section with face blend.
SetLawControlShapeSkewStartRadius Sets a start radius for the shape skew law control of the conic section with face blend.
SetRho Sets a rho expression for the conic section with face blend.
SetSecondOffset Sets the second offset for the conic section with face blend.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

ConicCrossSectionDefineMethod Enumeration This enum represents the conic method for advanced symmetric conic
ConicCrossSectionDepthMethod Enumeration This enum represents the depth option
ConicCrossSectionOffsetMethod Enumeration This enum represents the offset options
ConicCrossSectionRhoMethod Enumeration This enum represents the rho options
ConicCrossSectionShapeSkewMethod Enumeration This enum represents the shape skew option

Property Detail

ConicMethod

ConicCrossSection.ConicMethod

Returns or sets the conic method for the advanced symmetric conic section with face blend

-------------------------------------

Getter Method

Signature ConicMethod

Returns:
Return type:NXOpen.GeometricUtilities.ConicCrossSectionDefineMethod

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ConicMethod

Parameters:method (NXOpen.GeometricUtilities.ConicCrossSectionDefineMethod) –

New in version NX8.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Depth

ConicCrossSection.Depth

Returns the depth expression for the conic section with face blend

-------------------------------------

Getter Method

Signature Depth

Returns:
Return type:NXOpen.Expression

New in version NX10.0.0.

License requirements: None.

DepthLawControl

ConicCrossSection.DepthLawControl

Returns the Depth Law builder

-------------------------------------

Getter Method

Signature DepthLawControl

Returns:
Return type:NXOpen.GeometricUtilities.LawBuilder

New in version NX10.0.0.

License requirements: None.

DepthOption

ConicCrossSection.DepthOption

Returns or sets the depth option for the conic section with face blend

-------------------------------------

Getter Method

Signature DepthOption

Returns:
Return type:NXOpen.GeometricUtilities.ConicCrossSectionDepthMethod

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DepthOption

Parameters:method (NXOpen.GeometricUtilities.ConicCrossSectionDepthMethod) –

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

FirstConstraintCurveCollector

ConicCrossSection.FirstConstraintCurveCollector

Returns or sets the first constraint curve collector

-------------------------------------

Getter Method

Signature FirstConstraintCurveCollector

Returns:
Return type:NXOpen.ScCollector

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature FirstConstraintCurveCollector

Parameters:collector (NXOpen.ScCollector) –

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

FirstLawControl

ConicCrossSection.FirstLawControl

Returns the First Offset Law builder

-------------------------------------

Getter Method

Signature FirstLawControl

Returns:
Return type:NXOpen.GeometricUtilities.LawBuilder

New in version NX5.0.0.

License requirements: None.

FirstOffset

ConicCrossSection.FirstOffset

Returns the first offset for the conic section with face blend

-------------------------------------

Getter Method

Signature FirstOffset

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: None.

FirstOffsetOption

ConicCrossSection.FirstOffsetOption

Returns or sets the first offset option for the conic section with face blend

-------------------------------------

Getter Method

Signature FirstOffsetOption

Returns:
Return type:NXOpen.GeometricUtilities.ConicCrossSectionOffsetMethod

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature FirstOffsetOption

Parameters:method (NXOpen.GeometricUtilities.ConicCrossSectionOffsetMethod) –

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

OffsetSkewRatio

ConicCrossSection.OffsetSkewRatio

Returns the offset skew ratio expression for the conic section with face blend

-------------------------------------

Getter Method

Signature OffsetSkewRatio

Returns:
Return type:NXOpen.Expression

New in version NX10.0.0.

License requirements: None.

Rho

ConicCrossSection.Rho

Returns the rho expression for the conic section with face blend

-------------------------------------

Getter Method

Signature Rho

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: None.

RhoLawControl

ConicCrossSection.RhoLawControl

Returns the Rho Law builder

-------------------------------------

Getter Method

Signature RhoLawControl

Returns:
Return type:NXOpen.GeometricUtilities.LawBuilder

New in version NX5.0.0.

License requirements: None.

RhoOption

ConicCrossSection.RhoOption

Returns or sets the rho option for the conic section with face blend

-------------------------------------

Getter Method

Signature RhoOption

Returns:
Return type:NXOpen.GeometricUtilities.ConicCrossSectionRhoMethod

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature RhoOption

Parameters:method (NXOpen.GeometricUtilities.ConicCrossSectionRhoMethod) –

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SecondConstraintCurveCollector

ConicCrossSection.SecondConstraintCurveCollector

Returns or sets the second constraint curve collector

-------------------------------------

Getter Method

Signature SecondConstraintCurveCollector

Returns:
Return type:NXOpen.ScCollector

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature SecondConstraintCurveCollector

Parameters:collector (NXOpen.ScCollector) –

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SecondLawControl

ConicCrossSection.SecondLawControl

Returns the Second Offset Law builder

-------------------------------------

Getter Method

Signature SecondLawControl

Returns:
Return type:NXOpen.GeometricUtilities.LawBuilder

New in version NX5.0.0.

License requirements: None.

SecondOffset

ConicCrossSection.SecondOffset

Returns the second offset for the conic section with face blend

-------------------------------------

Getter Method

Signature SecondOffset

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: None.

SecondOffsetOption

ConicCrossSection.SecondOffsetOption

Returns or sets the second offset option for the conic section with face blend

-------------------------------------

Getter Method

Signature SecondOffsetOption

Returns:
Return type:NXOpen.GeometricUtilities.ConicCrossSectionOffsetMethod

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature SecondOffsetOption

Parameters:method (NXOpen.GeometricUtilities.ConicCrossSectionOffsetMethod) –

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

ShapeSkew

ConicCrossSection.ShapeSkew

Returns the shape skew expression for the conic section with face blend

-------------------------------------

Getter Method

Signature ShapeSkew

Returns:
Return type:NXOpen.Expression

New in version NX10.0.0.

License requirements: None.

ShapeSkewLawControl

ConicCrossSection.ShapeSkewLawControl

Returns the Shape Skew Law builder

-------------------------------------

Getter Method

Signature ShapeSkewLawControl

Returns:
Return type:NXOpen.GeometricUtilities.LawBuilder

New in version NX10.0.0.

License requirements: None.

ShapeSkewOption

ConicCrossSection.ShapeSkewOption

Returns or sets the shape skew option for the conic section with face blend

-------------------------------------

Getter Method

Signature ShapeSkewOption

Returns:
Return type:NXOpen.GeometricUtilities.ConicCrossSectionShapeSkewMethod

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ShapeSkewOption

Parameters:method (NXOpen.GeometricUtilities.ConicCrossSectionShapeSkewMethod) –

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

TransitionLinkFlag

ConicCrossSection.TransitionLinkFlag

Returns or sets the flag to link multi-transition law types

-------------------------------------

Getter Method

Signature TransitionLinkFlag

Returns:
Return type:bool

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature TransitionLinkFlag

Parameters:transitionLinkFlag (bool) –

New in version NX8.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Method Detail

SetFirstOffset

ConicCrossSection.SetFirstOffset

Sets the first offset for the conic section with face blend.

Signature SetFirstOffset(offset)

Parameters:offset (str) –

New in version NX4.0.0.

Deprecated since version NX9.0.0: To set the value of the expression modify the expression directly using NXOpen.GeometricUtilities.ConicCrossSection.FirstOffset() and NXOpen.Expression.RightHandSide().

License requirements: solid_modeling (“SOLIDS MODELING”)

SetLawControlConstantDepth

ConicCrossSection.SetLawControlConstantDepth

Sets a constant radius for the depth law control of the conic section with face blend.

Signature SetLawControlConstantDepth(radius)

Parameters:radius (str) – The value to be set

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetLawControlConstantFirstOffset

ConicCrossSection.SetLawControlConstantFirstOffset

Sets a constant radius for the first law control of the conic section with face blend.

Signature SetLawControlConstantFirstOffset(radius)

Parameters:radius (str) – The value to be set

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetLawControlConstantRho

ConicCrossSection.SetLawControlConstantRho

Sets a constant radius for the rho law control of the conic section with face blend.

Signature SetLawControlConstantRho(radius)

Parameters:radius (str) – The value to be set

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetLawControlConstantSecondOffset

ConicCrossSection.SetLawControlConstantSecondOffset

Sets a constant radius for the second law control of the conic section with face blend.

Signature SetLawControlConstantSecondOffset(radius)

Parameters:radius (str) – The value to be set

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetLawControlConstantShapeSkew

ConicCrossSection.SetLawControlConstantShapeSkew

Sets a constant radius for the shape skew law control of the conic section with face blend.

Signature SetLawControlConstantShapeSkew(radius)

Parameters:radius (str) – The value to be set

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetLawControlDepthEndRadius

ConicCrossSection.SetLawControlDepthEndRadius

Sets a end radius for the depth law control of the conic section with face blend.

Signature SetLawControlDepthEndRadius(radius)

Parameters:radius (str) – The value to be set

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetLawControlDepthStartRadius

ConicCrossSection.SetLawControlDepthStartRadius

Sets a start radius for the depth law control of the conic section with face blend.

Signature SetLawControlDepthStartRadius(radius)

Parameters:radius (str) – The value to be set

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetLawControlFirstOffsetEndRadius

ConicCrossSection.SetLawControlFirstOffsetEndRadius

Sets a end radius for the first law control of the conic section with face blend.

Signature SetLawControlFirstOffsetEndRadius(radius)

Parameters:radius (str) – The value to be set

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetLawControlFirstOffsetStartRadius

ConicCrossSection.SetLawControlFirstOffsetStartRadius

Sets a start radius for the first law control of the conic section with face blend.

Signature SetLawControlFirstOffsetStartRadius(radius)

Parameters:radius (str) – The value to be set

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetLawControlRhoEndRadius

ConicCrossSection.SetLawControlRhoEndRadius

Sets a end radius for the rho law control of the conic section with face blend.

Signature SetLawControlRhoEndRadius(radius)

Parameters:radius (str) – The value to be set

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetLawControlRhoStartRadius

ConicCrossSection.SetLawControlRhoStartRadius

Sets a start radius for the rho law control of the conic section with face blend.

Signature SetLawControlRhoStartRadius(radius)

Parameters:radius (str) – The value to be set

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetLawControlSecondOffsetEndRadius

ConicCrossSection.SetLawControlSecondOffsetEndRadius

Sets a end radius for the second law control of the conic section with face blend.

Signature SetLawControlSecondOffsetEndRadius(radius)

Parameters:radius (str) – The value to be set

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetLawControlSecondOffsetStartRadius

ConicCrossSection.SetLawControlSecondOffsetStartRadius

Sets a start radius for the second law control of the conic section with face blend.

Signature SetLawControlSecondOffsetStartRadius(radius)

Parameters:radius (str) – The value to be set

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetLawControlShapeSkewEndRadius

ConicCrossSection.SetLawControlShapeSkewEndRadius

Sets a end radius for the shape skew law control of the conic section with face blend.

Signature SetLawControlShapeSkewEndRadius(radius)

Parameters:radius (str) – The value to be set

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetLawControlShapeSkewStartRadius

ConicCrossSection.SetLawControlShapeSkewStartRadius

Sets a start radius for the shape skew law control of the conic section with face blend.

Signature SetLawControlShapeSkewStartRadius(radius)

Parameters:radius (str) – The value to be set

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetRho

ConicCrossSection.SetRho

Sets a rho expression for the conic section with face blend.

Signature SetRho(rho)

Parameters:rho (str) –

New in version NX4.0.0.

Deprecated since version NX9.0.0: To set the value of the expression modify the expression directly using NXOpen.GeometricUtilities.ConicCrossSection.Rho() and NXOpen.Expression.RightHandSide().

License requirements: solid_modeling (“SOLIDS MODELING”)

SetSecondOffset

ConicCrossSection.SetSecondOffset

Sets the second offset for the conic section with face blend.

Signature SetSecondOffset(offset)

Parameters:offset (str) –

New in version NX4.0.0.

Deprecated since version NX9.0.0: To set the value of the expression modify the expression directly using NXOpen.GeometricUtilities.ConicCrossSection.SecondOffset() and NXOpen.Expression.RightHandSide().

License requirements: solid_modeling (“SOLIDS MODELING”)

Validate

ConicCrossSection.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.